package com.huashe.park.core.service;

import java.util.List;

import com.huashe.park.domain.entity.PileHoleIndexRealtime;

/**
 * 桩点最新指标Service接口
 * 
 * @author ruoyi
 * @date 2025-02-28
 */
public interface IPileHoleIndexRealtimeService {
    /**
     * 查询桩点最新指标
     * 
     * @param id 桩点最新指标主键
     * @return 桩点最新指标
     */
    public PileHoleIndexRealtime selectPileHoleIndexRealtimeById(Long id);

    /**
     * 查询桩点最新指标列表
     * 
     * @param pileHoleIndexRealtime 桩点最新指标
     * @return 桩点最新指标集合
     */
    public List<PileHoleIndexRealtime> selectPileHoleIndexRealtimeList(PileHoleIndexRealtime pileHoleIndexRealtime);

    /**
     * 新增桩点最新指标
     * 
     * @param pileHoleIndexRealtime 桩点最新指标
     * @return 结果
     */
    public int insertPileHoleIndexRealtime(PileHoleIndexRealtime pileHoleIndexRealtime);

    /**
     * 修改桩点最新指标
     * 
     * @param pileHoleIndexRealtime 桩点最新指标
     * @return 结果
     */
    public int updatePileHoleIndexRealtime(PileHoleIndexRealtime pileHoleIndexRealtime);

    int updatePileHoleIndexRealtimeByHoleIdAndMachineId(PileHoleIndexRealtime pileHoleIndexRealtime);

    /**
     * 批量删除桩点最新指标
     * 
     * @param ids 需要删除的桩点最新指标主键集合
     * @return 结果
     */
    public int deletePileHoleIndexRealtimeByIds(Long[] ids);

    /**
     * 删除桩点最新指标信息
     * 
     * @param id 桩点最新指标主键
     * @return 结果
     */
    public int deletePileHoleIndexRealtimeById(Long id);

    public int cntMachineConstructingPileHole(Long machineId);

    PileHoleIndexRealtime selectMachineLatestIndex(Long machineId);
}
